[tool.poetry]
name = "ska-sdp-script-spectral-line-imaging"
version = "0.2.0"
description = "SKA SDP Spectral line imaging script"
authors = ["SKA SDP Developers"]
license = "BSD-3-Clause"
repository = "https://gitlab.com/ska-telescope/sdp/ska-sdp-script/-/tree/master/src/ska-sdp-script-spectral-line-imaging"
documentation = "https://developer.skao.int/projects/ska-sdp-script/en/latest/scripts/spectral-line-imaging.html"
package-mode = false

[[tool.poetry.source]]
name = "PyPI"
priority = "primary"

[[tool.poetry.source]]
name = "skao"
url = "https://artefact.skao.int/repository/pypi-internal/simple"
priority = "primary"

[tool.poetry.dependencies]
python = "^3.10"
ska-ser-logging = "^0.4.3"
ska-sdp-scripting = "^0.11.0"

[tool.pytest.ini_options]
testpaths = ["tests"]
pythonpath = ["."]
